<template>
  <div style="width: 90%; margin-left: auto; margin-right: auto">
    <div class="referensiid" style="margin-top: 15px;">
      <q-breadcrumbs style="margin-left: 12px; margin-top: 3px">
        <q-breadcrumbs-el style="font-size: 12px" label="Home"/>
        <q-breadcrumbs-el style="font-size: 12px" label="Level Keanggotaan"/>
        <q-breadcrumbs-el style="font-size: 12px" label="Upgrade Level Keanggotaan"/>
        <q-breadcrumbs-el style="font-size: 12px" label="Halaman Konfirmasi"/>
      </q-breadcrumbs>
    </div>

    <p class="text-weight-bold" style="font-size: 15px"> Konfirmasi Pembayaran Level Keanggotaan</p>

    <div>
      <p>Pilih Level Keanggotaan</p>
      <q-select  standout="bg-green text-white"  :options="optionsLV" label="Pilih Level" />
    </div>



      <div>
        <div class="q-gutter-y-md" style="margin: auto" >
          <template>
            <div>
              <q-markup-table flat bordered>
                <thead>
                <tr>
                  <th style="text-align: left">Level Keanggotaan</th>
                  <th style="text-align: left">Gold </th>
                </tr>
                </thead>
                <tbody class="bg-grey-3">
                <tr>
                  <td style="text-align: left">Harga</td>
                  <td style="text-align: left"> Rp. 500.000</td>
                </tr>
                </tbody>
                <tbody>
                <tr>
                  <td colspan="2">
                  <p class="fikturtable">1. Chat dengan Penyedia jasa</p>
                  <p class="fikturtable">2. Melihat Detai produk Jasa</p>
                  <p class="fikturtable">3. Tambah Produk Jasa</p>
                  </td>
                </tr>
                </tbody>
              </q-markup-table>
                <div>
                  <q-btn
                    to="/metodepembayaran"
                    style="margin-top: 20px;
                    width: 100%"
                    color="primary"
                    :size="size"
                    :label="`Lanjutkan Pembayaran`"
                  />
                  <p  style="margin-top: 10px" >'Anda akan diarahkan ke halaman pembayaran</p>
                </div>
            </div>
          </template>

        <p>&nbsp;</p>
      </div>
    </div>

  </div>
  </div>
</template>

<script>

export default {
  data () {
    return {
      optionsLV: ["Silver - Free", "Gold - Rp.500.000", "Platinum - Rp.1.250.000"],
      sizes: [ 'xs' ],
      icons: [
        'navigation',
        'add_a_photo',
        'camera',
        'camera_front',
        'my_location'
      ]
    }
  }
}

</script>

<style lang="scss" scoped>
.fikturtable{
  margin-bottom: 1px;
}

.referensiid {
  height: 58px;
  flex-grow: 0;
  margin: 20px auto 50px auto;
  border: solid 1px #f3f1f1;
  background-color: #ffffff;
}

.tdfiktur{
  text-align: left;
  vertical-align: top;
}

.tdlangganan{
  text-align: center;
  vertical-align: top;

}

</style>


<style lang="sass">



.q-table--no-wrap td
  white-space: normal

.my-sticky-header-table
  /* height or max-height is important */
  height: 310px

  .q-table__top,
  .q-table__bottom,
  thead tr:first-child th
    /* bg color is important for th; just specify one */
    background-color: #c1f4cd

  thead tr th
    position: sticky
    z-index: 1
  thead tr:first-child th
    top: 0

  /* this is when the loading indicator appears */
  &.q-table--loading thead tr:last-child th
    /* height of all previous header rows */
    top: 48px
</style>
